Bug 801433 - changes to kickstart channels via API calls don't get changed in the kickstart file
changes to kickstart channels via API calls don't get changed in the kickstar...
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: API (Show other bugs)
1.7
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: space18
  Show dependency treegraph
 
Reported: 2012-03-08 09:24 EST by Franky Van Liedekerke
Modified: 2012-11-01 12:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-01 12:18:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Franky Van Liedekerke 2012-03-08 09:24:18 EST
Description of problem:

Using the perl API (for spacewalk 1.7), I can remove/add channels to a kickstart profile using kickstart.profile.setChildChannels.
However: using the webinterface, I see that, when I download the kickstart file, the old channels are still being used in the profile (the "repo --name" lines). Just pressing "Update kickstart" fixes it, but this seems very weird to me: shouldn't API kickstart changes in fact *change* the kickstart?

Version-Release number of selected component (if applicable):
1.7

How reproducible:
Always, see problem description

Actual results:
kickstart file still uses the old channels

Expected results:
kickstart file should use the new channels

Additional info:
I found that by removing /var/lib/rhn/kickstarts/wizard/<ks-label>-<orgid>.cfg prior to calling kickstart.profile.setChildChannels, the kickstart file gets regenerated properly. But this would mean I always need to be on the spacewalk server when changing channels via the API.

Franky
Comment 1 Tomas Lestach 2012-03-08 10:13:46 EST
spacewalk.git: 68fef10d638c450d749224a3477c5289aba7cf31
Comment 2 Jan Pazdziora 2012-10-30 15:23:39 EDT
Moving ON_QA. Packages that address this bugzilla should now be available in yum repos at http://yum.spacewalkproject.org/nightly/
Comment 3 Jan Pazdziora 2012-11-01 12:18:52 EDT
Spacewalk 1.8 has been released: https://fedorahosted.org/spacewalk/wiki/ReleaseNotes18

Note You need to log in before you can comment on or make changes to this bug.